## org.apache.lucene.util.automaton
Class MinimizationOperations

    java.lang.Object
      org.apache.lucene.util.automaton.MinimizationOperations

    public final class MinimizationOperations

extends Object

Operations for minimizing automata.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`static void` `minimize(Automaton a)` Minimizes (and determinizes if not already deterministic) the given automaton.
`static void` `minimizeHopcroft(Automaton a)` Minimizes the given automaton using Hopcroft's algorithm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### minimize

    public static void minimize(Automaton a)

  Minimizes (and determinizes if not already deterministic) the given automaton.

  See Also:
    `Automaton.setMinimization(int)`

### minimizeHopcroft

    public static void minimizeHopcroft(Automaton a)

  Minimizes the given automaton using Hopcroft's algorithm.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.